CREATE TABLE ar_deferred_lines_all (
    CUSTOMER_TRX_LINE_ID            NUMBER       ,
    CUSTOMER_TRX_ID                 NUMBER           NOT NULL,
    ORIGINAL_COLLECTIBILITY_FLAG    VARCHAR2(4)      NOT NULL,
    LINE_COLLECTIBLE_FLAG           VARCHAR2(4)      NOT NULL,
    MANUAL_OVERRIDE_FLAG            VARCHAR2(4)  ,
    AMOUNT_DUE_ORIGINAL             NUMBER       ,
    ACCTD_AMOUNT_DUE_ORIGINAL       NUMBER       ,
    AMOUNT_RECOGNIZED               NUMBER       ,
    ACCTD_AMOUNT_RECOGNIZED         NUMBER       ,
    AMOUNT_PENDING                  NUMBER       ,
    ACCTD_AMOUNT_PENDING            NUMBER       ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120),
    ATTRIBUTE1                      VARCHAR2(120),
    ATTRIBUTE2                      VARCHAR2(120),
    ATTRIBUTE3                      VARCHAR2(120),
    ATTRIBUTE4                      VARCHAR2(120),
    ATTRIBUTE5                      VARCHAR2(120),
    ATTRIBUTE6                      VARCHAR2(120),
    ATTRIBUTE7                      VARCHAR2(120),
    ATTRIBUTE8                      VARCHAR2(120),
    ATTRIBUTE9                      VARCHAR2(120),
    ATTRIBUTE10                     VARCHAR2(120),
    ATTRIBUTE11                     VARCHAR2(120),
    ATTRIBUTE12                     VARCHAR2(120),
    ATTRIBUTE13                     VARCHAR2(120),
    ATTRIBUTE14                     VARCHAR2(120),
    ATTRIBUTE15                     VARCHAR2(120),
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                      NUMBER       ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    PARENT_LINE_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CUSTOMER_TRX_LINE_ID            NUMBER       ,
    CUSTOMER_TRX_ID                 NUMBER           NOT NULL,
    ORIGINAL_COLLECTIBILITY_FLAG    VARCHAR2(4)      NOT NULL,
    LINE_COLLECTIBLE_FLAG           VARCHAR2(4)      NOT NULL,
    MANUAL_OVERRIDE_FLAG            VARCHAR2(4)  ,
    AMOUNT_DUE_ORIGINAL             NUMBER       ,
    ACCTD_AMOUNT_DUE_ORIGINAL       NUMBER       ,
    AMOUNT_RECOGNIZED               NUMBER       ,
    ACCTD_AMOUNT_RECOGNIZED         NUMBER       ,
    AMOUNT_PENDING                  NUMBER       ,
    ACCTD_AMOUNT_PENDING            NUMBER       ,
    ATTRIBUTE_CATEGORY              VARCHAR2(120),
    ATTRIBUTE1                      VARCHAR2(120),
    ATTRIBUTE2                      VARCHAR2(120),
    ATTRIBUTE3                      VARCHAR2(120),
    ATTRIBUTE4                      VARCHAR2(120),
    ATTRIBUTE5                      VARCHAR2(120),
    ATTRIBUTE6                      VARCHAR2(120),
    ATTRIBUTE7                      VARCHAR2(120),
    ATTRIBUTE8                      VARCHAR2(120),
    ATTRIBUTE9                      VARCHAR2(120),
    ATTRIBUTE10                     VARCHAR2(120),
    ATTRIBUTE11                     VARCHAR2(120),
    ATTRIBUTE12                     VARCHAR2(120),
    ATTRIBUTE13                     VARCHAR2(120),
    ATTRIBUTE14                     VARCHAR2(120),
    ATTRIBUTE15                     VARCHAR2(120),
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    REQUEST_ID                      NUMBER       ,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    PARENT_LINE_ID                  NUMBER(18, 0),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_deferred_lines_all PRIMARY KEY (CUSTOMER_TRX_LINE_ID, CUSTOMER_TRX_LINE_ID)
);
